<?php

$_cooked_settings = Cooked_Settings::get();
$heart_color_rgb = Cooked_Functions::hex2rgb( esc_attr( $_cooked_settings['heart_color'] ) );

?>/* Front-end Fields */
.cooked-fe-form input[type="password"]:focus,
.cooked-fe-form input[type="email"]:focus,
.cooked-fe-form input[type="tel"]:focus,
.cooked-fe-form input[type="text"]:focus,
.cooked-fe-form input[type="number"]:focus,
.cooked-fe-form select:focus { border-color:<?php echo $_cooked_settings['main_color']; ?> !important; }

/* Nutrition Label Color */
#cooked-nutrition-label strong.cooked-nut-label { color:<?php echo $_cooked_settings['main_color']; ?>; }

/* Embed Button */
.cooked-button.cooked-embed-share { background:<?php echo $_cooked_settings['main_color']; ?>; }
.cooked-button.cooked-embed-share:hover { background:<?php echo $_cooked_settings['main_color_hover']; ?>; }
.cooked-sharing-actions.cooked-minimal-style .cooked-button.cooked-embed-share:hover { background:<?php echo $_cooked_settings['main_color_hover']; ?>; border-color:<?php echo $_cooked_settings['main_color_hover']; ?>; }

/* Favorite Heart */
.cooked-favorite-heart .cooked-icon { color:<?php echo $_cooked_settings['heart_color']; ?>; }
.cooked-recipe-full .cooked-recipe-info .cooked-favorite .cooked-favorite-heart.cooked-is-favorite .cooked-icon,
.cooked-recipe-full .cooked-recipe-info .cooked-favorite .cooked-favorite-heart.cooked-is-favorite:hover .cooked-icon { color:<?php echo $_cooked_settings['heart_color']; ?>; }

/* Rating Stars */
.cooked-rating-stars > .cooked-rating-star, .cooked-rating-stars > .cooked-rating-star:hover { color:<?php echo $_cooked_settings['star_color_default']; ?>; }
.cooked-rating-stars > .cooked-rating-star.cooked-rating-star-empty,
.cooked-ratable .cooked-rating-stars.cooked-user-rated > .cooked-rating-star.cooked-rating-star-empty { color:rgba(0,0,0,0.25); }
.cooked-ratable .cooked-rating-stars.cooked-user-rated > .cooked-rating-star { color:<?php echo $_cooked_settings['star_color_rated']; ?>; }
.cooked-ratable .cooked-rating-stars > .cooked-rating-star:hover ~ .cooked-rating-star,
.cooked-ratable .cooked-rating-stars > .cooked-rating-star:hover ~ .cooked-rating-star.cooked-rating-star-empty,
.cooked-ratable .cooked-rating-stars > .cooked-rating-star.cooked-rating-star-empty:hover,
.cooked-ratable .cooked-rating-stars > .cooked-rating-star.cooked-rating-star-empty:hover ~ .cooked-rating-star,
.cooked-ratable .cooked-rating-stars > .cooked-rating-star.cooked-rating-star-empty:hover ~ .cooked-rating-star.cooked-rating-star-empty { color:<?php echo $_cooked_settings['star_color_rated']; ?> !important; }
.cooked-ratable .cooked-rating-stars:hover > .cooked-rating-star,
.cooked-ratable .cooked-rating-stars:hover > .cooked-rating-star.cooked-rating-star-empty { color:rgba(0,0,0,0.35); }
.cooked-ratable .cooked-rating-stars > .cooked-rating-star:hover,
.cooked-ratable .cooked-rating-stars > .cooked-rating-star.cooked-rating-star-empty:hover { color:<?php echo $_cooked_settings['star_color_rated']; ?> !important; }
.cooked-recipe-full .cooked-ratable .cooked-rating-stars:hover > .cooked-rating-star:hover { color:<?php echo $_cooked_settings['star_color_rated']; ?> !important; }
.cooked-recipe-info .cooked-current-rating { background:<?php echo $_cooked_settings['star_color_default']; ?>; }

/* Rating Thumbs */
.cooked-rating-thumb.cooked-is-selected .cooked-icon-thumbs-up-solid,
.cooked-rating-thumb.cooked-is-selected .cooked-icon-thumbs-up-solid:hover,
.cooked-recipe-full .cooked-rating-thumb.cooked-is-selected .cooked-icon-thumbs-up-solid:hover { color:<?php echo $_cooked_settings['thumbs_up_color']; ?>; }
.cooked-rating-thumb.cooked-is-selected .cooked-icon-thumbs-down-solid,
.cooked-rating-thumb.cooked-is-selected .cooked-icon-thumbs-down-solid:hover,
.cooked-recipe-full .cooked-rating-thumb.cooked-is-selected .cooked-icon-thumbs-down-solid:hover { color:<?php echo $_cooked_settings['thumbs_down_color']; ?>; }

/* Secondary Buttons */
.dropzone .dz-preview .dz-progress .dz-upload { background:<?php echo $_cooked_settings['secondary_color']; ?>; }
.dropzone:hover { border-color:<?php echo $_cooked_settings['secondary_color']; ?>; }
#cooked-directions-builder .cooked-direction-block > .cooked-direction-image:hover { border-color:<?php echo $_cooked_settings['secondary_color']; ?>; }
#cooked-directions-builder .cooked-direction-block > .cooked-direction-image:hover:before { color:<?php echo $_cooked_settings['secondary_color']; ?>; }
.dropzone.dz-drag-hover { border-color:<?php echo $_cooked_settings['secondary_color']; ?>; }
.cooked-button.cooked-secondary-button { background:<?php echo $_cooked_settings['secondary_color']; ?>; }
.cooked-button.cooked-secondary-button:hover { background:<?php echo $_cooked_settings['secondary_color_hover']; ?>; }

/* Fitness Colors */
.cooked-donut .ct-series-a .ct-slice-donut-solid { fill:<?php echo $_cooked_settings['fat_color']; ?>;  }
.cooked-donut .ct-series-b .ct-slice-donut-solid { fill:<?php echo $_cooked_settings['carbs_color']; ?>; }
.cooked-donut .ct-series-c .ct-slice-donut-solid { fill:<?php echo $_cooked_settings['protein_color']; ?>; }
.cooked-recipe-fitness .cooked-recipe .cooked-recipe-fitness-report .cooked-fitness-report-fat { background:<?php echo $_cooked_settings['fat_color']; ?>; }
.cooked-recipe-fitness .cooked-recipe .cooked-recipe-fitness-report .cooked-fitness-report-carbs { background:<?php echo $_cooked_settings['carbs_color']; ?>; }
.cooked-recipe-fitness .cooked-recipe .cooked-recipe-fitness-report .cooked-fitness-report-protein { background:<?php echo $_cooked_settings['protein_color']; ?>; }

<?php if ( isset($_cooked_settings['dark_mode']) && $_cooked_settings['dark_mode'] ):

?>/* Dark Mode */
.cooked-fe-form input[type="email"], .cooked-fe-form input[type="number"], .cooked-fe-form input[type="password"], .cooked-fe-form input[type="tel"], .cooked-fe-form input[type="text"], .cooked-fe-form select, .cooked-fe-form textarea,
#cooked-ingredients-builder .cooked-ingredient-block input[type="number"], #cooked-ingredients-builder .cooked-ingredient-block input[type="text"], #cooked-ingredients-builder .cooked-ingredient-block select,
#cooked-directions-builder .cooked-direction-block textarea { background:rgba(0,0,0,0.25); border-color:rgba(255,255,255,0.15); }
.cooked-fe-form input[readonly] { color:rgba(255,255,255,0.5); }
.cooked-recipe-modern .cooked-recipe-wrap { background:rgba(0,0,0,0.25); box-shadow:none !important; }
.cooked-recipe-manage .cooked-recipe,
.cooked-recipe-compact .cooked-recipe { border-top-color:rgba(255,255,255,0.1); }
.cooked-button.cooked-edit-button i.cooked-icon { color:rgba(255,255,255,0.75) !important; }
.cooked-button.cooked-edit-button { border-color:rgba(255,255,255,0.1); color:rgba(255,255,255,0.75) !important; font-weight:400; }
.cooked-button.cooked-edit-button:hover { border-color:rgba(255,255,255,0.15); background:rgba(255,255,255,0.1); color:#fff !important; }
.cooked-button.cooked-delete-button { border-color:rgba(255,255,255,0.1); font-weight:400; }
.cooked-confirm-block strong { font-weight:400; }
.dropzone { border-color:rgba(255,255,255,0.15); }
.dropzone .dz-note,
#cooked-fe-ingredients .cooked-ingredient-headers span,
#cooked-fe-nutrition .cooked-nut-fields label { color:rgba(255,255,255,0.5); }
.cooked-fe-form .cooked-field.cooked-row-extra-padding,
.cooked-fe-form .cooked-field.cooked-submit-wrap { border-color:rgba(255,255,255,0.1); }
#cooked-ingredients-builder .cooked-ingredient-block .cooked-delete-ingredient .cooked-icon,
#cooked-directions-builder .cooked-direction-block .cooked-delete-direction .cooked-icon { color:rgba(255,255,255,0.25); }
#cooked-ingredients-builder .cooked-ingredient-block:hover,
#cooked-directions-builder .cooked-direction-block:hover,
#cooked-ingredients-builder .cooked-ingredient-block.ui-sortable-helper,
#cooked-directions-builder .cooked-direction-block.ui-sortable-helper,
#cooked-ingredients-builder .cooked-ingredient-block.ui-sortable-placeholder,
#cooked-directions-builder .cooked-direction-block.ui-sortable-placeholder { background:rgba(255,255,255,0.1); }
#cooked-nutrition-label { background:rgba(0,0,0,0.25); border:none; border-radius:5px; }
#cooked-nutrition-label .cooked-h2 { color:#fff; }
body #cooked-nutrition-label .cooked-nut-hr { border-color:rgba(255,255,255,0.15); }
body #cooked-nutrition-label dt.cooked-nut-spacer { background:rgba(255,255,255,0.15); }
body #cooked-nutrition-label dt,
body #cooked-nutrition-label dl.cooked-nut-bottom dt,
body #cooked-nutrition-label dl.cooked-nut-bottom dt:nth-last-child(2):nth-child(2n) { border-color:rgba(255,255,255,0.15); }
<?php
endif;
