<?php
/**
 * Enqueues
 *
 * @package     Cooked Pro
 * @subpackage  Enqueues
 * @since       1.0.0
*/

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;

/**
 * Cooked_Pro_Enqueues Class
 *
 * This class handles the global enqueues for Cooked Pro.
 * All other enqueues are handled within the /modules/ folder.
 *
 * @since 1.0.0
 */

class Cooked_Pro_Enqueues {

	function __construct() {
		add_action( 'wp_enqueue_scripts', array(&$this, 'enqueues'), 10 );
        add_action( 'wp_enqueue_scripts', array(&$this, 'css_colors'), 11 );
        add_action( 'wp_enqueue_scripts', array(&$this, 'css_responsive'), 11 );
	}

	public function enqueues() {
        $min = ( COOKED_DEV ? '' : '.min' );
		wp_enqueue_style( 'cooked-pro-general-css', COOKED_PRO_URL . 'assets/css/general' . $min . '.css', array(), COOKED_PRO_VERSION );
        wp_enqueue_script( 'cooked-pro-chartist', COOKED_PRO_URL . 'assets/chartist/chartist' . $min . '.js', array(), COOKED_PRO_VERSION );
        wp_enqueue_style( 'cooked-pro-chartist', COOKED_PRO_URL . 'assets/chartist/chartist' . $min . '.css', array(), COOKED_PRO_VERSION );
	}

    public function css_colors(){
        if ( !isset($_GET['print']) ):
            $file = COOKED_PRO_DIR . 'assets/css/colors.php';
            $css = Cooked_Enqueues::get_dynamic_css( $file );
            wp_add_inline_style( 'cooked-pro-general-css', $css );
        endif;
    }

    public function css_responsive(){
        if ( !isset($_GET['print']) ):
            $file = COOKED_PRO_DIR . 'assets/css/responsive.php';
            $css = Cooked_Enqueues::get_dynamic_css( $file );
            wp_add_inline_style( 'cooked-pro-general-css', $css );
        endif;
    }

}

class Cooked_Pro_Admin_Enqueues {

    function __construct() {
        add_action( 'admin_enqueue_scripts', array(&$this, 'admin_enqueues'), 10 );
    }

    public function admin_enqueues(){
        $min = ( COOKED_DEV ? '' : '.min' );
        wp_enqueue_style( 'cooked-pro-admin-css', COOKED_PRO_URL . 'assets/admin/css/admin' . $min . '.css', array(), COOKED_PRO_VERSION );
    }

}
