<?php

add_filter( 'cooked_whats_new_title', 'cooked_modify_whatsnew_title', 10 );
function cooked_modify_whatsnew_title(){
    return sprintf( esc_html__( "What's new in %s?", "cooked-pro" ), 'Cooked ' . COOKED_VERSION );
}

add_filter( 'cooked_welcome_banner_img', 'cooked_pro_welcome_banner', 10 );
function cooked_pro_welcome_banner(){
    return COOKED_URL . '/assets/admin/images/pro-banner.png';
}

add_action( 'cooked_welcome_before_changelog', 'cooked_pro_changelog' );
function cooked_pro_changelog(){
    $whatsnew_title = sprintf( esc_html__( "What's new in %s?", "cooked-pro" ), 'Cooked Pro ' . COOKED_PRO_VERSION );
    $readme_url = COOKED_PRO_DIR . "readme.txt";
    echo '<div style="margin-bottom:1.5rem; border-bottom:1px solid #e5e5e5; padding-bottom:1rem">';
    echo Cooked_Functions::parse_readme_changelog( $readme_url, $whatsnew_title );
    echo '</div>';
}

// Hide Pending/Draft recipes from RSS feed
add_filter( 'pre_get_posts', 'cooked_rss_exclude_filter' );
function cooked_rss_exclude_filter( $query ) {
    if ( !$query->is_admin && $query->is_feed ) {
        $args = array(
            'post_type' => 'cp_recipe',
        );
        $args['meta_query']['relation'] = 'OR';
        $args['meta_query'][] = array(
            'draft' => array(
                'key' => '_recipe_draft',
                'compare' => '==',
                'value' => 1
            )
        );
        $args['meta_query'][] = array(
            'pending_zero' => array(
                'key' => '_recipe_pending',
                'compare' => '==',
                'value' => 1
            )
        );
        $hidden_recipes = new WP_Query( $args );
        $hidden_recipe_ids = array();
        foreach( $hidden_recipes->posts as $hidden_recipe ):
            $hidden_recipe_ids[] = $hidden_recipe->ID;
        endforeach;
        $query->set( 'post__not_in', $hidden_recipe_ids );
    }
    return $query;
}