<?php

// Error Handling using WP_Session data
// See "modules/sessions/sessions.php" for session code.

function cooked_set_error( $error_id, $error_message ) {
	global $_Cooked_Pro;
	$_errors = cooked_get_errors();
	if ( ! $_errors ) {
		$_errors = array();
	}
	$_errors[ $error_id ] = $error_message;
	$_Cooked_Pro->session->set( 'cooked_errors', $_errors );
}

function cooked_get_errors() {
	global $_Cooked_Pro;
	return $_Cooked_Pro->session->get( 'cooked_errors' );
}

function cooked_clear_errors() {
	global $_Cooked_Pro;
	$_Cooked_Pro->session->set( 'cooked_errors', null );
}

function cooked_print_errors() {
	$_errors = cooked_get_errors();
	if ( $_errors ) {
		$classes = apply_filters( 'cooked_error_class', array(
			'cooked_errors', 'cooked-alert', 'cooked-alert-error'
		) );
		echo '<div class="' . implode( ' ', $classes ) . '">';
		   	foreach ( $_errors as $error_id => $_error ) {
		  		echo '<p class="cooked_error" id="cooked_error_' . $error_id . '"><strong>' . __( 'Error', 'cooked-pro' ) . '</strong>: ' . $_error . '</p>';
		   	}
		echo '</div>';
		cooked_clear_errors();
	}
}

function cooked_get_actions() {
	if ( isset( $_GET['cooked_action'] ) ) {
		do_action( 'cooked_' . $_GET['cooked_action'], $_GET );
	}
}
add_action( 'init', 'cooked_get_actions', 11 );

function cooked_post_actions() {
	if ( isset( $_POST['cooked_action'] ) ) {
		do_action( 'cooked_' . $_POST['cooked_action'], $_POST );
	}
}
add_action( 'init', 'cooked_post_actions', 11 );
