/*

Cooked Add Recipe Javascript

*/

(function( $ ) {

    /****   Variables   ****/
    var $_CookedSortable            = $('.cooked-sortable'),
        $_CookedIngredientBuilder   = $('#cooked-ingredients-builder'),
        $_CookedDirectionBuilder    = $('#cooked-directions-builder'),
        $_CookedNutritionFacts      = $('#cooked-fe-nutrition'),
        $_CookedDeleteRecipe        = $('.cooked-delete-trigger');

    $(document).ready(function() {

        // Cooked Sortables
        if ($_CookedSortable.length){
            $_CookedSortable.sortable();
        }

        if ( $_CookedDeleteRecipe.length ){
            $( 'body' ).on( 'click', '.cooked-delete-trigger', function(e){

                e.preventDefault();
                var thisButton = $(this);

                $( 'body' ).find( '.cooked-delete-confirm' ).removeClass( 'cooked-delete-confirm' );
                thisButton.parents('.cooked-recipe').addClass('cooked-delete-confirm');

            });
            $( 'body' ).on( 'click', '.cooked-cancel-delete', function(e){

                e.preventDefault();
                $( 'body' ).find( '.cooked-delete-confirm' ).removeClass( 'cooked-delete-confirm' );

            });
            $( 'body' ).on( 'click', '.cooked-delete-final', function(e){

                e.preventDefault();

                var thisButton = $(this),
                    recipeID = thisButton.data('recipe'),
                    thisRecipe = thisButton.parents( '.cooked-recipe' ),
                    confirm_delete = confirm( cooked_pro_js_vars.i18n_confirm_delete );

                if ( confirm_delete ){

                    thisRecipe.addClass('cooked-recipe-deleted');
                    setTimeout( function(){
                        thisRecipe.addClass('cooked-recipe-hidden');
                    },500);

                    var ajax__delete_recipe = $.post(
                        cooked_js_vars.ajax_url,
                        { action:'cooked_delete_recipe', recipe_id: recipeID },
                        function( result ) {
                            if ( result != 'error' ){
                                //console.log( result );
                                setTimeout( function(){
                                    thisRecipe.remove();
                                },1000);
                            } else {
                                thisRecipe.removeClass('cooked-recipe-deleted');
                                thisRecipe.removeClass('cooked-recipe-hidden');
                            }
                        })
                        .fail(function( result ) {
                            thisRecipe.removeClass('cooked-recipe-deleted');
                            thisRecipe.removeClass('cooked-recipe-hidden');
                        });

                }

            });
        }

        if ($_CookedIngredientBuilder.length){

            cooked_reset_ingredient_builder();

            $_CookedIngredientBuilder.on('keydown','input[data-ingredient-part="name"]',function(e){
                if ( e.keyCode === 9 || e.keyCode === 13 ){
                    if ( $(this).parents('.cooked-ingredient-block').is(':last-child') ){
                        e.preventDefault();
                        $('#cooked-fe-ingredients').find('.cooked-add-ingredient-button').trigger('click');
                        $_CookedIngredientBuilder.find('.cooked-ingredient-block:last-child input[data-ingredient-part="amount"]').focus();
                    }
                } else {
                    return;
                }
            });

            $_CookedIngredientBuilder.parent().on('click','.cooked-show-url',function(e){
                e.preventDefault();
                var thisParent = $(this).parent();
                if ( thisParent.hasClass('cooked-expanded') ){
                    thisParent.removeClass('cooked-expanded');
                } else {
                    thisParent.addClass('cooked-expanded');
                    thisParent.find('input[data-ingredient-part="url"]').focus();
                }

            });

            $_CookedIngredientBuilder.on('keyup','input[data-ingredient-part="url"]',function(e){
                var thisVal = $(this).val(),
                    parentBlock = $(this).parents('.recipe-setting-block');
                if (thisVal){
                    parentBlock.addClass('cooked-has-url');
                } else {
                    parentBlock.removeClass('cooked-has-url');
                }
            });

            $_CookedIngredientBuilder.parent().on('click','.cooked-add-ingredient-button',function(e){
                e.preventDefault();
                var clonedIngredientTemplate = $_CookedIngredientBuilder.parent().find('.cooked-ingredient-template').clone().removeClass('cooked-template cooked-ingredient-template').addClass('cooked-ingredient-block');
                $_CookedIngredientBuilder.append(clonedIngredientTemplate);
                cooked_reset_ingredient_builder();
            });

            $_CookedIngredientBuilder.parent().on('click','.cooked-add-heading-button',function(e){
                e.preventDefault();
                var clonedHeadingTemplate = $_CookedIngredientBuilder.parent().find('.cooked-heading-template').clone().removeClass('cooked-template cooked-heading-template').addClass('cooked-ingredient-block cooked-ingredient-heading');
                $_CookedIngredientBuilder.append(clonedHeadingTemplate);
                cooked_reset_ingredient_builder();
            });

            $_CookedIngredientBuilder.parent().on('click','.cooked-delete-ingredient',function(e){
                e.preventDefault();
                $(this).parent().remove();
                cooked_reset_ingredient_builder();
            });

        }

        if ($_CookedDirectionBuilder.length){

            cooked_reset_direction_builder();

            $_CookedDirectionBuilder.parent().on('click','.cooked-add-direction-button',function(e){
                e.preventDefault();
                var clonedDirectionTemplate = $_CookedDirectionBuilder.parent().find('.cooked-direction-template').clone().removeClass('cooked-template cooked-direction-template').addClass('cooked-direction-block');
                $_CookedDirectionBuilder.append(clonedDirectionTemplate);
                cooked_reset_direction_builder();
            });

            $_CookedDirectionBuilder.parent().on('click','.cooked-add-heading-button',function(e){
                e.preventDefault();
                var clonedHeadingTemplate = $_CookedDirectionBuilder.parent().find('.cooked-heading-template').clone().removeClass('cooked-template cooked-heading-template').addClass('cooked-direction-block cooked-direction-heading');
                $_CookedDirectionBuilder.append(clonedHeadingTemplate);
                cooked_reset_direction_builder();
            });

            $_CookedDirectionBuilder.parent().on('click','.cooked-delete-direction',function(e){
                e.preventDefault();
                $(this).parent().remove();
                cooked_reset_direction_builder();
            });

            // Instantiates the variable that holds the media library frame.
            var direction_image_frame,directionID;

            $('body').on('click','.cooked-direction-img-placeholder, .cooked-direction-img',function(e){
                e.preventDefault();
                var thisButton = $(this).parent().find('.direction-image-button');
                thisButton.trigger('click');
            });

        }

        if ( $_CookedNutritionFacts.length ){

            init_nutrition_facts( $_CookedNutritionFacts );
            $_CookedNutritionToggle = $_CookedNutritionFacts.find('.cooked-nutrition-toggle');
            $_CookedNutritionButton = $_CookedNutritionFacts.find('.cooked-add-nutrition-button');

            $_CookedNutritionButton.on('click', function(e){

                e.preventDefault();
                if ( $_CookedNutritionButton.hasClass('cooked-active') ){
                    $_CookedNutritionButton.text( cooked_pro_js_vars.i18n_nutrition_toggle_enable );
                    $_CookedNutritionButton.removeClass('cooked-active');
                    $_CookedNutritionToggle.hide();
                } else {
                    $_CookedNutritionButton.text( cooked_pro_js_vars.i18n_nutrition_toggle_disable );
                    $_CookedNutritionButton.addClass('cooked-active');
                    $_CookedNutritionToggle.show();
                }

            });

            $_CookedNutritionFacts.on('keyup','input',function(e){

                e.preventDefault();
                var thisInput = $(this),
                    thisID = thisInput.attr('id'),
                    thisVal = thisInput.val(),
                    hasPercent = $('.cooked-nut-percent[data-labeltype="' + thisID + '"]').length;

                if ( $('.cooked-nut-label[data-labeltype="' + thisID + '"]').length ){
                    if ( thisVal ){

                        // Strip the HTML, if any.
                        thisVal = thisVal.replace(/<(?:.|\n)*?>/gm, '');

                        $('.cooked-nut-label[data-labeltype="' + thisID + '"]').html( thisVal );
                        $('.cooked-nut-label[data-labeltype="' + thisID + '"]').parents('.cooked-li').eq(0).show();
                        $('.cooked-nut-label[data-labeltype="' + thisID + '"]').parents('.cooked-p').eq(0).show();
                        if ( hasPercent ){
                            var thisPercentElem = $('.cooked-nut-percent[data-labeltype="' + thisID + '"]'),
                                pvd = thisPercentElem.data('pdv');
                            if ( pvd ){
                                thisPercent = Math.round( ( thisVal / pvd ) * 100 );
                                thisPercentElem.text( thisPercent );
                            }
                        }
                    } else {
                        $('.cooked-nut-label[data-labeltype="' + thisID + '"]').html( '___ ' );
                        $('.cooked-nut-label[data-labeltype="' + thisID + '"]').parents('.cooked-li').eq(0).hide();
                        $('.cooked-nut-label[data-labeltype="' + thisID + '"]').parents('.cooked-p').eq(0).hide();
                    }
                }

            });

        }

        $('body').on('change', '.cooked_image_uploader', function(){
            var targetID = $(this).data('target-id');
            cooked_image_readURL( this, targetID );
            //console.log( $(this).val() );
        });

        $('body').on('click', '.cooked-direction-image.cooked-has-image', function(){
            $(this).find('input[type="file"]').val('');
            $(this).find('input[data-direction-part="current_image_removable"]').val('');
            $(this).find('img').attr('src','');
            $(this).removeClass('cooked-has-image');
        });

        /****   Time Pickers   ****/
        if ( $('#prep_time').length && $('#total_time').length || $('#cook_time').length && $('#total_time').length ){
            console.log('test');
            $( '#prep_time,#cook_time' ).on('change',function(){

                if ( $( '#prep_time' ).val() ){
                    var prepTimeValue = parseInt( $( '#prep_time' ).val() );
                } else {
                    var prepTimeValue = 0;
                }

                if ( $( '#cook_time' ).val() ){
                    var cookTimeValue = parseInt( $( '#cook_time' ).val() );
                } else {
                    var cookTimeValue = 0;
                }

                cooked_updateTotalTimeValue( prepTimeValue, cookTimeValue );

            });
        }

	});

})( jQuery );

function cooked_updateTotalTimeValue( prepTime, cookTime ){

    var totalTimeInput = jQuery( '#total_time' ),
        totalTime = prepTime + cookTime;

    totalTimeInput.val( totalTime );

}

// Image Upload Preview
function cooked_image_readURL( input, target ) {
    if (input.files && input.files[0]) {
        var this_file_size = Math.round( input.files[0].size / 1000000 ) + 1;
        if ( this_file_size > cooked_pro_js_vars.max_image_size ){
            input.value = null;
            alert( cooked_pro_js_vars.i18n_image_too_large );
            return false;
        } else {
            var reader = new FileReader();
            reader.onload = function(e) {
                jQuery( '#' + target ).attr( 'src', e.target.result );
                setTimeout( function(){
                    jQuery( '#' + target ).parent().addClass('cooked-has-image');
                },100 );
            }
            reader.onprogress = function(e) {
                if ( e.lengthComputable ) {
                    var percent = ( e.loaded / e.total ) * 100;
                    //console.log( percent.toFixed( 0 ) + "%" );
                }
            }
            reader.readAsDataURL( input.files[0] );
        }
    }
}

// Nutrition Facts Fields
function init_nutrition_facts( nutritionContent ){
    nutritionContent.find('input').each(function(){
        var thisInput = jQuery(this),
            thisID = thisInput.attr('id'),
            thisVal = thisInput.val(),
            hasPercent = jQuery('.cooked-nut-percent[data-labeltype="' + thisID + '"]').length;

        if ( jQuery('.cooked-nut-label[data-labeltype="' + thisID + '"]').length ){
            if ( thisVal ){

                // Strip the HTML, if any.
                thisVal = thisVal.replace(/<(?:.|\n)*?>/gm, '');

                jQuery('.cooked-nut-label[data-labeltype="' + thisID + '"]').html( thisVal );
                jQuery('.cooked-nut-label[data-labeltype="' + thisID + '"]').parents('.cooked-li').eq(0).show();
                jQuery('.cooked-nut-label[data-labeltype="' + thisID + '"]').parents('.cooked-p').eq(0).show();
                if ( hasPercent ){
                    var thisPercentElem = jQuery('.cooked-nut-percent[data-labeltype="' + thisID + '"]'),
                        pvd = thisPercentElem.data('pdv');
                    if ( pvd ){
                        thisPercent = Math.round( ( thisVal / pvd ) * 100 );
                        thisPercentElem.text( thisPercent );
                    }
                }
            } else {
                jQuery('.cooked-nut-label[data-labeltype="' + thisID + '"]').html( '___ ' );
                jQuery('.cooked-nut-label[data-labeltype="' + thisID + '"]').parents('.cooked-li').eq(0).hide();
                jQuery('.cooked-nut-label[data-labeltype="' + thisID + '"]').parents('.cooked-p').eq(0).hide();
            }
        }
    });
}

// Reset Time Picker Settings & Names
function cooked_reset_direction_builder(){

    var directionBlocks = jQuery('.cooked-direction-block'),
        total_blocks = 0;

    directionBlocks.each(function(){

        var randomKeyForInterval = cooked_get_random_int(10000000,99999999);
        total_blocks++;

        // Set the input "name" values.
        var $_this = jQuery(this);

        $_this.find("[data-direction-part]").each(function(){

            var thisField = jQuery(this);
            if ( thisField.attr('name') == ''){
                var directionPartName = thisField.data('direction-part');
                if ( directionPartName == 'image' ){
                    thisField.attr( 'name','directions_' + randomKeyForInterval + '_' + directionPartName );
                } else {
                    thisField.attr( 'name','_recipe_settings[directions][' + randomKeyForInterval + '][' + directionPartName + ']' );
                }
            }
            if ( thisField.attr('data-target-id') == ''){
                thisField.attr( 'data-target-id', 'image_' + randomKeyForInterval );
                thisField.parent().find('img').attr( 'id', 'image_' + randomKeyForInterval );
            }
            if ( thisField.attr('data-id') == ''){
                thisField.attr( 'data-id',randomKeyForInterval );
            }
            if ( thisField.attr('id') == ''){
                var directionPartName = thisField.data( 'direction-part' );
                directionPartName = directionPartName.replace( '_', '-' );
                thisField.attr( 'id', 'direction-' + randomKeyForInterval + '-' + directionPartName );
            }

        });

    });

}

// Reset Time Picker Settings & Names
function cooked_reset_ingredient_builder(){

    var ingredientBlocks = jQuery('.cooked-ingredient-block'),
        total_ingredients = 0,
        total_blocks = 0;

    ingredientBlocks.each(function(){

        var randomKeyForInterval = cooked_get_random_int(10000000,99999999);
        total_blocks++;

        // Set the input "name" values.
        var $_this = jQuery(this);

        if ( !$_this.hasClass('cooked-ingredient-heading') ){
            total_ingredients++;
        }

        $_this.find("[data-ingredient-part]").each(function(){
            var thisField = jQuery(this);
            if ( thisField.attr('name') == ''){
                var ingredientPartName = thisField.data('ingredient-part');
                thisField.attr( 'name','_recipe_settings[ingredients][' + randomKeyForInterval + '][' + ingredientPartName + ']' );
            }
        });

    });

    if ( total_ingredients ){
        jQuery('.cooked-ingredient-headers').show();
    } else {
        jQuery('.cooked-ingredient-headers').hide();
    }

    if ( total_blocks ){
        jQuery('#cooked-ingredients-builder').css( { 'margin-bottom':'20px' } );
    } else {
        jQuery('#cooked-ingredients-builder').css( { 'margin-bottom':'0px' } );
    }

}

// Get random integer for sortable lists (ingredients and directions)
function cooked_get_random_int(min, max) {
    return Math.floor(Math.random() * (max - min)) + min;
}
