axios.interceptors.request.use((config) => {
    config['headers']['X-WP-Nonce'] = wpApiSettings.nonce;
    return config;
});

let pending_app = new Vue({
    el: '#cooked-pending-vue',
    data: {
        recipes: [],
        total_recipes: 0,
        is_loading: false
    },
    methods: {
        approve( id, confirm_text ){
            if ( !this.is_loading ){
                var confirm_approve = confirm( confirm_text );
                if ( confirm_approve ){

                    this.is_loading = true;

                    var form_data = new FormData;
                    form_data.append( 'action', 'cooked_pending_action_approve' );
                    form_data.append( 'recipe_id', id );

                    axios.post( cooked_js_vars.ajax_url, form_data )
                    .then(function (response ) {
                        if ( response.data != 'error' ){
                            pending_app.is_loading = false;
                            Vue.delete( pending_app.recipes, 'post-' + id );
                            return true;
                        } else {
                            console.log(response.data);
                        }
                    })
                    .catch(function (error) {
                        console.log(error);
                    });

                }

                return false;

            }
        },
        remove( id, confirm_text ){
            if ( !this.is_loading ){
                var confirm_remove = confirm( confirm_text );
                if ( confirm_remove ){

                    this.is_loading = true;

                    var form_data = new FormData;
                    form_data.append( 'action', 'cooked_pending_action_delete' );
                    form_data.append( 'recipe_id', id );

                    axios.post( cooked_js_vars.ajax_url, form_data )
                    .then(function (response ) {
                        if ( response.data != 'error' ){
                            pending_app.is_loading = false;
                            Vue.delete( pending_app.recipes, 'post-' + id );
                            return true;
                        } else {
                            console.log(response.data);
                        }
                    })
                    .catch(function (error) {
                        console.log(error);
                    });

                }
                return false;
            }
        },
        loadRecipes(){

            axios.get( wpApiSettings.root + 'cooked/v2/pending-recipes/' )
            .then(function (response ) {
                if ( response.data != 'error' ){
                    pending_app.recipes = response.data;
                    pending_app.total_recipes = Object.keys( pending_app.recipes ).length;
                } else {
                    //console.log(response.data);
                }
            })
            .catch(function (error) {
                console.log(error);
            });
        }
    },
    mounted() {
        this.loadRecipes();
    }
});

pending_app.$watch('recipes', function (val) {
    this.total_recipes = Object.keys( val ).length;
})