(function( $ ) {

    $(document).ready(function() {

        /****   Thumbs Up/Down a Recipe   ****/
        if ( $('span.cooked-rating-thumb').length ){
            $( 'body' ).on( 'click', 'span.cooked-rating-thumb', function(e) {

                e.preventDefault();
                var thisThumb = $(this),
                    ratingContainer = thisThumb.parents('.cooked-rating'),
                    theseThumbs = thisThumb.parents('span.cooked-rating-thumbs'),
                    recipeID = ratingContainer.data('recipe-id'),
                    ratingVal = thisThumb.data('rating-value'),
                    thisParent = theseThumbs.parent();

                if ( ratingContainer.hasClass('cooked-ratable') ){

                    if ( !thisThumb.hasClass('cooked-is-selected') ){
                        thisParent.find('span.cooked-rating-thumb').removeClass('cooked-is-selected');
                        thisThumb.addClass('cooked-is-selected');
                    } else {
                        thisParent.find('span.cooked-rating-thumb').removeClass('cooked-is-selected');
                    }

                    ratingContainer.removeClass('cooked-ratable');

                    var ajax__rate_recipe = $.post(
                        cooked_js_vars.ajax_url,
                        { action:'cooked_rate_recipe', recipe_id:recipeID, rating_val:ratingVal },
                        function( result ) {
                            theseThumbs.replaceWith( result );
                            setTimeout(function(){
                                ratingContainer.addClass('cooked-ratable');
                            },125);

                        })
                        .fail(function( result ) {
                            console.log( 'Error:' );
                            console.log( result );
                        });

                }

            });
        }

	    /****   Rate a Recipe   ****/
        if ( $('span.cooked-rating-stars').length ){

            $('body').on('click','span.cooked-rating-choice',function(e){

                e.preventDefault();
                var thisStar = $(this),
                    ratingContainer = thisStar.parents('.cooked-rating'),
                    theseStars = thisStar.parents('span.cooked-rating-stars'),
                    recipeID = ratingContainer.data('recipe-id'),
                    ratingVal = thisStar.data('rating-value');

                if ( ratingContainer.hasClass('cooked-ratable') && !thisStar.hasClass('cooked-is-selected') ){

                    ratingContainer.removeClass('cooked-ratable');
                    ratingContainer.addClass('cooked-loading');
                    thisStar.addClass('cooked-loading');

                    var ajax__rate_recipe = $.post(
                        cooked_js_vars.ajax_url,
                        { action:'cooked_rate_recipe', recipe_id:recipeID, rating_val:ratingVal },
                        function( result ) {
                            var thisParent = theseStars.parent();
                            var thisWrapper = theseStars.parents( '.cooked-rating' );
                            ratingContainer.html( result );
                            ratingContainer.find('span.cooked-rating-stars > span').addClass('cooked-done');
                            ratingContainer.removeClass('cooked-loading');

                            var i = 6,
                                star,
                                stars = thisParent.find('span.cooked-rating-stars > span');

                            var loadStars = setInterval(function() {
                                star = stars[i--];
                                $(star).removeClass('cooked-done');
                                if(i < 0) clearInterval(loadStars);
                            }, 25);

                            setTimeout(function(){
                                ratingContainer.addClass('cooked-ratable');
                            },125);

                        })
                        .fail(function( result ) {
                            console.log( 'Error:' );
                            console.log( result );
                        });

                }

            });
        }

        /****   Favorite a Recipe   ****/
        if ( $('span.cooked-favorite-heart').length ){
            $('body').on('click','span.cooked-favorite-heart',function(e){

                e.preventDefault();
                var thisHeart = $(this),
                    recipeID = thisHeart.data('recipe-id');

                if ( thisHeart.hasClass('cooked-is-favorite') ){
                    thisHeart.removeClass('cooked-is-favorite');
                    var addRemove = 'remove';
                } else {
                    thisHeart.addClass('cooked-is-favorite');
                    var addRemove = 'add';
                }

                var ajax__favorite_recipe = $.post(
                    cooked_js_vars.ajax_url,
                    { action:'cooked_favorite_recipe', add_remove:addRemove, recipe_id: recipeID },
                    function( result ) {
                        if ( result != 'error' ){
                            if ( result ){
                                thisHeart.find('.cooked-favorite-total').html( result );
                            } else {
                                thisHeart.find('.cooked-favorite-total').html( '0' );
                            }

                        }
                    })
                    .fail(function( result ) {
                        console.log( 'Error: ' + result );
                    });

            });
        }

	});

})( jQuery );
