<?php

global $recipe,$recipe_settings,$_cooked_settings,$recipe_classes;

$recipe_post = get_post( $recipe['id'] );
$recipe_settings = Cooked_Recipes::get( $recipe['id'], true );
$recipe_classes = ( !$recipe_classes ? apply_filters( 'cooked_single_recipe_classes', array( 'cooked-recipe', 'has-post-thumbnail' ), $recipe ) : apply_filters( 'cooked_single_recipe_classes', $recipe_classes, $recipe ) );
if ( is_array($recipe_classes) && !empty($recipe_classes) ):
	array_walk($recipe_classes, 'esc_attr');
else:
	$recipe_classes = array();
endif;

echo '<article id="cooked-recipe-' . $recipe['id'] . '" class="' . implode( ' ', $recipe_classes ) . '">';

	do_action( 'cooked_recipe_full_before_recipe', $recipe );

	$thumbnail_url = get_the_post_thumbnail_url( $recipe_post, 'cooked-large' );

	echo '<div class="cooked-recipe-wrap" style="background-image:url(' . $thumbnail_url . ');">';

		echo '<div class="cooked-recipe-content">';

			echo do_shortcode( apply_filters( 'cooked_recipe_list_info_shortcode', '[cooked-info include="favorite,author,rating"]', 'full' ) );

			do_action( 'cooked_recipe_full_before_name', $recipe );

			echo '<a class="cooked-recipe-name" href="' . get_permalink( $recipe['id'] ) . '">' . $recipe_settings['title'] . '</a>';

			do_action( 'cooked_recipe_full_after_name', $recipe );

			if (in_array('excerpt',$_cooked_settings['recipe_info_display_options'])):
				echo ( isset($recipe_settings['excerpt']) && $recipe_settings['excerpt'] ? '<span class="cooked-recipe-excerpt">' . do_shortcode( $recipe_settings['excerpt'] ) . '</span>' : '' );
			endif;

			echo '<p><a class="cooked-button" href="' . get_permalink( $recipe['id'] ) . '">' . esc_html__( 'View Recipe', 'cooked-pro' ) . '</a></p>';

		echo '</div>';

	echo '</div>';

	do_action( 'cooked_recipe_full_after_recipe', $recipe );

echo '</article>';

wp_reset_query();
