<?php

global $recipe,$recipe_settings,$_cooked_settings,$recipe_classes;

$recipe_post = get_post( $recipe['id'] );
$recipe_settings = Cooked_Recipes::get( $recipe['id'], true );
$recipe_classes = ( !$recipe_classes ? apply_filters( 'cooked_single_recipe_classes', array( 'cooked-recipe', 'has-post-thumbnail' ), $recipe ) : apply_filters( 'cooked_single_recipe_classes', $recipe_classes, $recipe ) );
if ( is_array($recipe_classes) && !empty($recipe_classes) ):
	array_walk($recipe_classes, 'esc_attr');
else:
	$recipe_classes = array();
endif;

echo '<article id="cooked-recipe-' . $recipe['id'] . '" class="' . implode( ' ', $recipe_classes ) . '">';

	do_action( 'cooked_recipe_modern_before_recipe', $recipe );

	echo '<div class="cooked-recipe-wrap">';

		do_action( 'cooked_recipe_modern_before_name', $recipe );

		echo '<a href="' . get_permalink( $recipe['id'] ) . '" class="cooked-recipe-name">';
			echo $recipe_settings['title'];
		echo '</a>';

		do_action( 'cooked_recipe_modern_after_name', $recipe );

		do_action( 'cooked_recipe_modern_before_image', $recipe );

		if ( has_post_thumbnail( $recipe_post ) && $recipe_thumb = get_the_post_thumbnail( $recipe_post, 'cooked-medium' ) ):
			echo '<a href="' . get_permalink( $recipe['id'] ) . '" class="cooked-recipe-image">';
				echo $recipe_thumb;
			echo '</a>';
		else:
			echo '<span class="cooked-recipe-image-empty"></span>';
		endif;

		do_action( 'cooked_recipe_modern_after_image', $recipe );

		echo '<div class="cooked-recipe-inside">';

			echo do_shortcode( apply_filters( 'cooked_recipe_list_info_shortcode', '[cooked-info left="total_time" right="favorite"][cooked-info left="ingredients" right="comments"]', 'modern' ) );

		echo '</div>';

	echo '</div>';

	do_action( 'cooked_recipe_modern_after_recipe', $recipe );

echo '</article>';
