/*

Cooked Pagination Javascript

*/

var cooked_loading = false;

(function( $ ) {

    /****   Variables   ****/
    $_Cooked_Ajax_List = $('.cooked-recipe-loader');
    $_Cooked_Load_More_Button = $('.cooked-load-more-button > a');
    $_Cooked_Load_More_Scroll = $('.cooked-load-more-scroll > span');

    $(document).ready(function() {

        if ( $_Cooked_Ajax_List.length ){

            // Load More Button?
            if ( $_Cooked_Load_More_Button.length ){

                $_Cooked_Load_More_Button.on('click',function(e){

                    e.preventDefault();

                    var button = $(this);
                    var container = $(this).parent().prev();
                    var data = {
                        'action': 'cooked_loadmore',
                        'atts' : cooked_pagination_vars.atts,
                        'recipe_args': cooked_pagination_vars.recipe_args,
                        'page' : cooked_pagination_vars.current_page,
                        'is_own_profile' : cooked_pagination_vars.is_own_profile
                    };

                    cooked_load_more( data, container, button );

                });

            }

            // Load More on Scroll?
            if ( $_Cooked_Load_More_Scroll.length ){

                $_Cooked_Load_More_Scroll.appear();
                $_Cooked_Load_More_Scroll.on( 'appear', function(event, $all_appeared_elements) {

                    var button = $(this);
                    var container = $(this).parent().prev();
                    var data = {
                        'action': 'cooked_loadmore',
                        'atts' : cooked_pagination_vars.atts,
                        'recipe_args': cooked_pagination_vars.recipe_args,
                        'page' : cooked_pagination_vars.current_page,
                        'is_own_profile' : cooked_pagination_vars.is_own_profile
                    };

                    cooked_load_more( data, container, button );

                });

            }

        }

	});

    // The "Load More" Function
    function cooked_load_more( data, container, button ){

        console.log(data);

        var thisLoadingIcon = button.parent().find('.cooked-icon-loading-wrap');

        if ( !cooked_loading ){

            cooked_loading = true;

            if ( thisLoadingIcon.length ){
                thisLoadingIcon.addClass('cooked-visible');
            } else {
                button.hide();
            }

            $.ajax({
                url : cooked_pagination_vars.ajaxurl,
                data : data,
                type : 'POST',
                success : function( data ){
                    if ( data ) {

                        container.append( data );

                        if ( thisLoadingIcon.length ){
                            thisLoadingIcon.removeClass('cooked-visible');
                        } else {
                            button.show();
                        }

                        cooked_loading = false;
                        cooked_pagination_vars.current_page++;

                        if ( cooked_pagination_vars.current_page == cooked_pagination_vars.max_page )
                            button.remove();

                    } else {
                        button.remove();
                    }
                }
            });

        }

    }

})( jQuery );
