<div id="cooked-pending-recipes">
    <div class="cooked-pr-wrap">
        <div id="cooked-pending-vue">
            <h1><?php esc_html_e( 'Pending Recipes', 'cooked-pro' ); ?><span class="cooked-pr-counter" v-cloak v-if=total_recipes>{{ total_recipes }}</span></h1>
            <div class="cooked-vue-recipes-wrap">
                <div v-for="recipe in recipes" v-cloak>
                    <div class="cooked-pending-recipe">
                        <img v-if=recipe.image :src=recipe.image>
                        <div v-else class="cooked-pending-blank-image"></div>
                        <div>
                            <h3 v-html=recipe.title></h3>
                            <p class="cooked-pending-recipe-meta" v-if=recipe.meta v-html=recipe.meta></p>
                            <p class="cooked-pending-recipe-links">
                                <a :href=recipe.url target="_blank"><?php esc_html_e( 'View', 'cooked-pro' ); ?></a>
                                <span>&nbsp;&#124;&nbsp;</span>
                                <a :href=recipe.edit_url target="_blank"><?php esc_html_e( 'Edit', 'cooked-pro' ); ?></a>
                                <span>&nbsp;&#124;&nbsp;</span>
                                <span class="delete-pending-recipe" @click=remove(recipe.id,confirm_text)><?php esc_html_e( 'Delete', 'cooked-pro' ); ?></span>
                            </p>
                        </div>
                        <div>
                            <script type="text/javascript">var confirm_text = "<?php echo esc_js( __( 'Are you sure?', 'cooked-pro' ) ); ?>";</script>
                            <a class="button button-primary" @click=approve(recipe.id,confirm_text)><?php esc_html_e( 'Approve', 'cooked-pro' ); ?></a>
                        </div>
                    </div>
                </div>
                <div class="cooked-no-pending-message" v-cloak v-if="total_recipes < 1">
                    <p><?php esc_html_e( 'No pending recipes.', 'cooked-pro' ); ?></p>
                </div>
            </div>
        </div>
    </div>
</div>