<?php global $_cooked_user, $submit_atts, $profile_user, $_cooked_settings;

$guest_mode = Cooked_Add_Recipe::guest_mode_active();

if ( $guest_mode ):
	$_profile_user = false;
	$_profile_user_id = false;
elseif ( isset($profile_user['raw']) ):
	$_profile_user = $profile_user['raw'];
	$_profile_user_id = $_profile_user->ID;
else:
	$_profile_user = $_cooked_user['raw'];
	$_profile_user_id = $_profile_user->ID;
endif;


if ( $guest_mode || $_profile_user_id && $_profile_user_id == get_current_user_id() ):

	$recipe_id = ( isset( $_GET['rid'] ) && $_GET['rid'] ? esc_html( $_GET['rid'] ) : false );

	if ( isset( $_GET['cooked_msg'] ) && $_GET['cooked_msg'] == 'submit_success' && $recipe_id ):

		echo '<div class="cooked-success-banner">' . esc_html__( 'You have successfully submitted a new recipe.', 'cooked-pro' );
		echo ( is_user_logged_in() ? ' <strong><a href="' . get_permalink($recipe_id) . '">' . esc_html__( 'View Recipe', 'cooked-pro' ) . '</a></strong>' : ' <strong><a href="' . get_permalink() . '">' . esc_html__( 'Back to Submit', 'cooked-pro' ) . '</a></strong>' );
		echo '</div>';

	else:

		?><form id="cooked-pro-submit-form" class="cooked-fe-form cooked-form-stacked cooked-clearfix" action="" enctype="multipart/form-data" method="post">

			<?php if ( !isset($submit_atts['title']) || isset($submit_atts['title']) && $submit_atts['title'] == '1' ): ?><h2 class="cooked-form-title"><?php esc_html_e( 'Add a Recipe', 'cooked-pro' ); ?></h2><?php endif; ?>

			<?php cooked_print_errors(); ?>

			<?php if ( isset($_cooked_settings['recipe_submission_required_fields']) && !empty($_cooked_settings['recipe_submission_required_fields']) ):
				echo '<p><i class="cooked-icon cooked-icon-asterisk"></i>&nbsp;&nbsp;' . esc_html__( 'Indicates a required field.','cooked-pro' ) . '</p>';
			endif; ?>

			<?php do_action( 'cooked_user_add_recipe_fields_before'); ?>

			<?php $submit_fields = Cooked_Add_Recipe::submit_fields();

			// Timer/Difficulty Columns
			$timer_col_ids = array( 'difficulty_level', 'prep_time', 'cook_time', 'total_time' );
			$difficulty_active = ( isset($submit_fields['difficulty_level']) ? 1 : 0 );
			$prep_time_active = ( isset($submit_fields['prep_time']) ? 1 : 0 );
			$cook_time_active = ( isset($submit_fields['cook_time']) ? 1 : 0 );
			$total_time_active = ( isset($submit_fields['total_time']) ? 1 : 0 );
			$timer_col_total = $difficulty_active + $prep_time_active + $cook_time_active + $total_time_active;
			$timer_col_class = ( $timer_col_total == 4 ? ' cooked-field-column-25' : ( $timer_col_total == 3 ? ' cooked-field-column-33' : ( $timer_col_total == 2 ? ' cooked-field-column-50' : '' ) ) );
			$timer_started_columns = false;

			// Taxonomy Columns
			$tax_col_ids = array( 'category', 'cuisine', 'cooking_method', 'diet' );
			$category_active = ( isset($submit_fields['category']) ? 1 : 0 );
			$cuisine_active = ( isset($submit_fields['cuisine']) ? 1 : 0 );
			$cooking_method_active = ( isset($submit_fields['cooking_method']) ? 1 : 0 );
			$diet_active = ( isset($submit_fields['diet']) ? 1 : 0 );
			$tax_col_total = $category_active + $cuisine_active + $cooking_method_active + $diet_active;
			$tax_col_class = ( $tax_col_total == 4 ? ' cooked-field-column-25' : ( $tax_col_total == 3 ? ' cooked-field-column-33' : ( $tax_col_total == 2 ? ' cooked-field-column-50' : '' ) ) );
			$tax_started_columns = false;

			foreach( $submit_fields as $field_id => $field ):

				$callback = $field['callback'];
				$function = isset( $callback['function'] ) ? $callback['function'] : false;
				$class = isset( $callback['class'] ) ? $callback['class'] : false;

				if ( $field_id == 'nutrition' && $class ):
					ob_start();
					Cooked_Add_Recipe::nutrition_facts( $field );
					$fields_enabled = ( ob_get_clean() ? true : false );
					if ( !$fields_enabled ):
						continue;
					endif;
				endif;

				$required = ( isset($field['required']) && $field['required'] ? '<i class="cooked-icon cooked-icon-asterisk"></i>' : '' );

				if ( in_array( $field_id, $tax_col_ids ) && !$tax_started_columns ): echo '<div class="cooked-clearfix">'; $tax_started_columns = true; endif;
				if ( !in_array( $field_id, $tax_col_ids ) && $tax_started_columns ): echo '</div>'; $tax_started_columns = false; endif;

				if ( in_array( $field_id, $timer_col_ids ) && !$timer_started_columns ): echo '<div class="cooked-clearfix">'; $timer_started_columns = true; endif;
				if ( !in_array( $field_id, $timer_col_ids ) && $timer_started_columns ): echo '</div>'; $timer_started_columns = false; endif;

				echo '<div class="cooked-field' . ( in_array( $field_id, $timer_col_ids ) ? $timer_col_class : '' ) . ( in_array( $field_id, $tax_col_ids ) ? $tax_col_class : '' ) . ( $field_id == 'directions' || $field_id == 'nutrition' ? ' cooked-row-extra-padding' : '' ) . '">';
					echo '<div class="cooked-label-side">';
						echo '<label for="' . $field_id . '">' . $field['label'] . ' ' . $required . '</label>';
					echo '</div>';

					echo '<div class="cooked-input-side">';

						if( $class && $function ):
							$class::$function( $field_id, $field );
						elseif ( !$class && $function ):
							$function( $field_id, $field );
						endif;

					echo '</div>';
				echo '</div>';

			endforeach;

			?><input type="hidden" name="user_id" value="<?php echo $_profile_user_id; ?>" />
			<input type="hidden" name="cooked_action" value="user_add_recipe" />
			<input type="hidden" name="cooked_add_recipe_nonce" value="<?php echo wp_create_nonce( 'cooked-add-recipe-nonce' ); ?>" />

			<div class="cooked-field cooked-clearfix cooked-submit-wrap">
				<div class="cooked-input-side">
					<input type="submit" class="cooked-button" name="cooked_add_recipe" value="<?php esc_attr_e( 'Submit Recipe', 'cooked-pro' ); ?>">
				</div>
			</div>

			<?php do_action( 'cooked_user_add_recipe_fields_after'); ?>

		</form>

		<?php wp_enqueue_script( 'cooked-add-recipe-js' ); ?>

	<?php endif;

endif;
