<?php global $_cooked_user, $profile_atts, $_cooked_settings, $profile_user, $post;

if ( isset($profile_user['raw']) ):
	$_profile_user = $profile_user['raw'];
else:
	$_profile_user = $_cooked_user['raw'];
endif;

if ( $_profile_user->ID == get_current_user_id() || $_profile_user->ID != get_current_user_id() && current_user_can('administrator') ):

	$_profile_user_meta = Cooked_Users::get( $_profile_user->ID );

	?>

	<form class="cooked-fe-form cooked-form-stacked cooked-clearfix" action="" method="post">

		<?php if ( !isset($profile_atts['title']) || isset($profile_atts['title']) && $profile_atts['title'] == '1' ): ?><h2 class="cooked-form-title"><?php esc_html_e( 'Edit Profile', 'cooked-pro' ); ?></h2><?php endif; ?>

		<?php cooked_print_errors(); ?>

		<?php do_action( 'cooked_edit_profile_fields_before'); ?>

		<div class="cooked-field">
			<div class="cooked-label-side">
				<label for="cooked_username"><?php esc_html_e( 'Username', 'cooked-pro' ); ?></label>
			</div>
			<div class="cooked-input-side">
				<input type="text" readonly name="cooked_username" value="<?php echo esc_attr( $_profile_user->user_login ); ?>">
			</div>
		</div>

		<div class="cooked-field">
			<div class="cooked-label-side">
				<label for="cooked_user_login"><?php esc_html_e( 'Display Name', 'cooked-pro' ); ?></label>
			</div>
			<div class="cooked-input-side">
				<input type="text" name="cooked_user_login" value="<?php echo esc_attr( $_profile_user->display_name ); ?>">
			</div>
		</div>

		<div class="cooked-field">
			<div class="cooked-label-side">
				<label for="cooked_user_email"><?php esc_html_e( 'Email', 'cooked-pro' ); ?></label>
			</div>
			<div class="cooked-input-side">
				<input type="text" name="cooked_user_email" value="<?php echo esc_attr( $_profile_user->user_email ); ?>">
			</div>
		</div>

		<?php

		$hide_avatars = ( isset( $_cooked_settings['hide_author_avatars'][0] ) && $_cooked_settings['hide_author_avatars'][0] == 'hidden' ? true : false );

		if ( !$hide_avatars ):

			?><div class="cooked-field">
	            <div class="cooked-label-side">
	                <label for="cooked_user_login"><?php esc_html_e( 'Profile Photo', 'cooked-pro' ); ?></label>
	            </div>
	            <div class="cooked-input-side cooked-clearfix cooked-dz-circle">
	                <?php $_value = ( isset( $_profile_user_meta['profile_photo_src'] ) && $_profile_user_meta['profile_photo_src'] ? 'custom' : '' ); ?>
	                <?php echo do_shortcode( '[cooked-dz-uploader id="profile_photo" value="' . esc_attr( $_value ) . '" url="' . esc_attr( $_profile_user_meta['profile_photo_src'] ) . '" action="cooked_profile_photo_upload" message="' . esc_attr( 'Upload', 'cooked-pro' ) . '"]' ); ?>
	            </div>
	        </div><?php

	    endif;

	    ?>

		<div class="cooked-field">
			<div class="cooked-label-side">
				<label for="cooked_user_pass"><?php esc_html_e( 'Password', 'cooked-pro' ); ?></label>
			</div>
			<div class="cooked-input-side">
				<input type="password" name="cooked_user_pass" value="">
			</div>
		</div>

		<div class="cooked-field cooked-field-bottom">
			<div class="cooked-label-side">
				<label for="cooked_user_pass2"><?php esc_html_e( 'Confirm Password', 'cooked-pro' ); ?></label>
			</div>
			<div class="cooked-input-side">
				<input type="password" name="cooked_user_pass2" value="">
			</div>
		</div>

		<input type="hidden" name="redirect_id" value="<?php echo esc_attr( $post->ID ); ?>" />
		<input type="hidden" name="user_id" value="<?php echo esc_attr( $_profile_user->ID ); ?>" />
		<input type="hidden" name="cooked_action" value="user_edit_profile" />
		<input type="hidden" name="cooked_edit_profile_nonce" value="<?php echo wp_create_nonce( 'cooked-edit-profile-nonce' ); ?>" />

		<div class="cooked-field">
			<div class="cooked-input-side">
				<input type="submit" class="cooked-button" name="cooked_edit_profile" value="<?php esc_attr_e( 'Update Profile', 'cooked-pro' ); ?>">
			</div>
		</div>

		<?php do_action( 'cooked_edit_profile_fields_after'); ?>

	</form><?php

endif;
