<?php global $post, $_cooked_user, $profile_user, $_cooked_settings;

if ( isset($profile_user['raw']) ):
	$_profile_user = $profile_user['raw'];
else:
	$_profile_user = $_cooked_user['raw'];
endif;

$recipe_id = $post->ID;

if ( isset( $_GET['cooked_msg'] ) && $_GET['cooked_msg'] == 'edit_success' ):

	echo '<div class="cooked-success-banner">' . esc_html__( 'You have successfully edited this recipe.', 'cooked-pro' ) . ' <strong><a href="' . esc_url( get_permalink( $recipe_id ) ) . '">' . esc_html__( 'View Recipe', 'cooked-pro' ) . '</a></strong></div>';

else:

	echo '<div class="cooked-warning-banner">' . esc_html__( 'You are currently editing this recipe.', 'cooked-pro' ) . ' <strong><a href="' . esc_url( get_permalink( $recipe_id ) ) . '">' . esc_html__( 'Back to Recipe', 'cooked-pro' ) . '</a></strong></div>';

endif;

if ( $_profile_user->ID == get_current_user_id() && Cooked_Profiles::is_my_recipe( $recipe_id ) || current_user_can('edit_cooked_recipes') ):

	$_recipe = Cooked_Recipes::get( $recipe_id, true );

	?><form class="cooked-fe-form cooked-form-stacked cooked-clearfix cooked-form-editing" action="" enctype="multipart/form-data" method="post">

		<?php cooked_print_errors(); ?>

		<?php if ( isset($_cooked_settings['recipe_submission_required_fields']) && !empty($_cooked_settings['recipe_submission_required_fields']) ):
			echo '<p><i class="cooked-icon cooked-icon-asterisk"></i>&nbsp;&nbsp;' . esc_html__( 'Indicates a required field.','cooked-pro' ) . '</p>';
		endif; ?>

		<?php do_action( 'cooked_user_edit_recipe_fields_before'); ?>

		<?php

		// Status Fields
		Cooked_Add_Recipe::status_fields( $_recipe );

		// Edit Fields
		$edit_fields = Cooked_Add_Recipe::submit_fields();

		// Timer/Difficulty Columns
		$col_ids = array( 'difficulty_level', 'prep_time', 'cook_time', 'total_time' );
		$difficulty_active = ( isset($edit_fields['difficulty_level']) ? 1 : 0 );
		$prep_time_active = ( isset($edit_fields['prep_time']) ? 1 : 0 );
		$cook_time_active = ( isset($edit_fields['cook_time']) ? 1 : 0 );
		$total_time_active = ( isset($edit_fields['total_time']) ? 1 : 0 );
		$col_total = $difficulty_active + $prep_time_active + $cook_time_active + $total_time_active;
		$col_class = ( $col_total == 4 ? ' cooked-field-column-25' : ( $col_total == 3 ? ' cooked-field-column-33' : ( $col_total == 2 ? ' cooked-field-column-50' : '' ) ) );
		$started_columns = false;

		// Taxonomy Columns
		$tax_col_ids = array( 'category', 'cuisine', 'cooking_method', 'diet' );
		$category_active = ( isset($edit_fields['category']) ? 1 : 0 );
		$cuisine_active = ( isset($edit_fields['cuisine']) ? 1 : 0 );
		$cooking_method_active = ( isset($edit_fields['cooking_method']) ? 1 : 0 );
		$diet_active = ( isset($edit_fields['diet']) ? 1 : 0 );
		$tax_col_total = $category_active + $cuisine_active + $cooking_method_active + $diet_active;
		$tax_col_class = ( $tax_col_total == 4 ? ' cooked-field-column-25' : ( $tax_col_total == 3 ? ' cooked-field-column-33' : ( $tax_col_total == 2 ? ' cooked-field-column-50' : '' ) ) );
		$tax_started_columns = false;

		foreach( $edit_fields as $field_id => $field ):

			$callback = $field['callback'];
			$function = isset( $callback['function'] ) ? $callback['function'] : false;
			$class = isset( $callback['class'] ) ? $callback['class'] : false;

			if ( $field_id == 'nutrition' && $class ):
				$recipe_settings = Cooked_Recipes::get( $recipe_id, true );
				$nutrition_facts = ( isset($recipe_settings['nutrition']) && !empty($recipe_settings['nutrition']) ? $recipe_settings['nutrition'] : false );
				foreach( $nutrition_facts as $fact ):
					if ( $fact ):
						$nutrition_facts = true;
						break;
					else:
						$nutrition_facts = false;
					endif;
				endforeach;
				if ( !$nutrition_facts ):
					continue;
				endif;
			endif;

			if ( isset( $field['value'] ) && !$field['value'] || !isset($field['value']) ):
				if ( isset( $_recipe[$field_id] ) || $field_id == 'post_title' || $field_id == 'featured_image' || $field_id == 'video_url' ):
					if( $field_id == 'post_title' && !isset( $_recipe['post_title'] ) || $field_id == 'post_title' && isset( $_recipe['post_title'] ) && !$_recipe['post_title'] ):
						$field['value'] = get_the_title( $recipe_id );
					elseif( $field_id == 'featured_image' ):
						$image_id = get_post_thumbnail_id( $recipe_id );
						$field['value'] = $image_id;
					elseif( $field_id == 'video_url' ):
						$field['value'] = $_recipe['gallery']['video_url'];
					else:
						$field['value'] = $_recipe[$field_id];
					endif;
				endif;
			endif;

			$required = ( isset($field['required']) && $field['required'] ? '<i class="cooked-icon cooked-icon-asterisk"></i>' : '' );

			if ( in_array( $field_id, $tax_col_ids ) && !$tax_started_columns ): echo '<div class="cooked-clearfix">'; $tax_started_columns = true; endif;
			if ( !in_array( $field_id, $tax_col_ids ) && $tax_started_columns ): echo '</div>'; $tax_started_columns = false; endif;

			if ( in_array( $field_id, $col_ids ) && !$started_columns ): echo '<div class="cooked-clearfix">'; $started_columns = true; endif;
			if ( !in_array( $field_id, $col_ids ) && $started_columns ): echo '</div>'; $started_columns = false; endif;

			echo '<div class="cooked-field' . ( in_array( $field_id, $col_ids ) ? $col_class : '' ) . ( in_array( $field_id, $tax_col_ids ) ? $tax_col_class : '' ) . ( $field_id == 'directions' || $field_id == 'nutrition' ? ' cooked-row-extra-padding' : '' ) . '">';
				echo '<div class="cooked-label-side">';
					echo '<label for="' . $field_id . '">' . $field['label'] . ' ' . $required . '</label>';
				echo '</div>';

				echo '<div class="cooked-input-side">';

					if( $class && $function ):
						$class::$function( $field_id,$field );
					elseif ( !$class && $function ):
						$function( $field_id,$field );
					endif;

				echo '</div>';
			echo '</div>';

		endforeach;

		?><input type="hidden" name="user_id" value="<?php echo $_profile_user->ID; ?>" />
		<input type="hidden" name="recipe_id" value="<?php echo $recipe_id; ?>" />
		<input type="hidden" name="cooked_action" value="user_edit_recipe" />
		<input type="hidden" name="cooked_edit_recipe_nonce" value="<?php echo wp_create_nonce( 'cooked-edit-recipe-nonce' ); ?>" />

		<div class="cooked-field cooked-clearfix cooked-submit-wrap">
			<div class="cooked-input-side">
				<input type="submit" class="cooked-button" name="cooked_edit_recipe" value="<?php esc_attr_e( 'Update Recipe', 'cooked-pro' ); ?>">
			</div>
		</div>

		<?php do_action( 'cooked_user_edit_recipe_fields_after'); ?>

	</form>

	<?php wp_enqueue_script( 'cooked-add-recipe-js' );

else:

	_e( 'You do not have the ability to edit this recipe, or this recipe does not exists.', 'cooked-pro' );

endif;