<?php global $post,$recipe_settings;
$recipe_settings = Cooked_Recipes::get_settings( $post->ID );
$recipe_settings['id'] = $post->ID;
$recipe = get_post( $post->ID  );

?><!doctype html>
<html amp lang="en">
    <head>
        <meta charset="utf-8">
        <script async src="https://cdn.ampproject.org/v0.js"></script>
        <title><?php the_title(); ?></title>
        <link rel="canonical" href="<?php echo get_permalink( $post->ID ); ?>" />
        <meta name="viewport" content="width=device-width,minimum-scale=1,initial-scale=1">
        <?php echo Cooked_SEO::json_ld( $recipe_settings ); ?>
        <style amp-boilerplate>body{-webkit-animation:-amp-start 8s steps(1,end) 0s 1 normal both;-moz-animation:-amp-start 8s steps(1,end) 0s 1 normal both;-ms-animation:-amp-start 8s steps(1,end) 0s 1 normal both;animation:-amp-start 8s steps(1,end) 0s 1 normal both}@-webkit-keyframes -amp-start{from{visibility:hidden}to{visibility:visible}}@-moz-keyframes -amp-start{from{visibility:hidden}to{visibility:visible}}@-ms-keyframes -amp-start{from{visibility:hidden}to{visibility:visible}}@-o-keyframes -amp-start{from{visibility:hidden}to{visibility:visible}}@keyframes -amp-start{from{visibility:hidden}to{visibility:visible}}</style><noscript><style amp-boilerplate>body{-webkit-animation:none;-moz-animation:none;-ms-animation:none;animation:none}</style></noscript>
        <style amp-custom>

            body { font-family:sans-serif; padding:5%; }
            h1 { font-weight:600; font-size:1.4em; line-height:1.4em; margin:0 0 1em; }
            p { font-weight:400; font-size:1em; line-height:1.6em; margin:0 0 1em; }

            /* Ingredients */
            .cooked-recipe-ingredients { display:block; padding:0; margin:0 0 2em; }
            .cooked-recipe-ingredients .cooked-heading { margin:1em 0 .2em; display:block; font-weight:600; font-size:1.2em; line-height:1.4; }
            .cooked-recipe-ingredients .cooked-heading:first-child { margin-top:0; }
            .cooked-recipe-ingredients .cooked-ingredient { position:relative; padding:0.5em 0 0 2em; margin:0; font-size:inherit; }
            .cooked-recipe-ingredients .cooked-ingredient.cooked-ing-no-checkbox { padding-left:0; }
            .cooked-recipe-ingredients .cooked-ingredient .cooked-ing-name { line-height:1.4em; padding:1px 0; }
            .cooked-recipe-ingredients .cooked-ingredient-checkbox { transform:scale(1); position:absolute; top:0.5em; left:0; cursor:pointer; display:inline-block; width:1em; height:1em; line-height:1em; border:1px solid #ddd; border-color:rgba(0,0,0,0.2); margin:0.20em 0.8em 0 0; }
            .cooked-recipe-ingredients .cooked-ingredient-checkbox:active { transform:scale(0.9); }
            .cooked-recipe-ingredients .cooked-ingredient-checkbox:hover { border-color:#bbb; border-color:rgba(0,0,0,0.5); }
            .cooked-recipe-ingredients .cooked-ingredient-checkbox.cooked-checked:after { font-family:'CookedIcons'; content:'\f01d'; position:absolute; top:0; left:0; font-size:0.6em; line-height:1.8em; width:100%; height:100%; text-align:center; }
            .cooked-recipe-ingredients .cooked-ingredient.cooked-checked { text-decoration:line-through; opacity:0.5; }

            /* Directions */
            .cooked-recipe-directions { display:block; padding:0; margin:0 0 2em; }
            .cooked-recipe-directions .cooked-heading { margin:0 0 1em; display:block; font-weight:600; font-size:1.2em; line-height:1.4; }
            .cooked-recipe-directions .cooked-direction { position:relative; padding:0; margin:0; font-size:inherit; }
            .cooked-recipe-directions .cooked-direction img { max-width:100%; height:auto; display:block; margin:0 0 2em; padding:0; border:none; }
            .cooked-recipe-directions .cooked-direction.cooked-direction-has-number .cooked-dir-content { padding-left:2em; }
            .cooked-recipe-directions .cooked-direction.cooked-direction-has-number-wide .cooked-dir-content { padding-left:2.75em; }
            .cooked-recipe-directions .cooked-direction-number { opacity:0.35; position:absolute; display:inline-block; width:auto; height:1em; line-height:1em; font-weight:800; top:0; left:0; font-size:1.5em; }

        </style>

        <?php do_action( 'cooked_amp_head' ); ?>

    </head>
    <body>

        <?php do_action( 'cooked_amp_before_title' ); ?>

        <h1><?php the_title(); ?></h1>

        <?php do_action( 'cooked_amp_after_title' ); ?>

        <?php if ( has_post_thumbnail($recipe) ) :
            ?><amp-img src="<?php echo get_the_post_thumbnail_url( $recipe, 'cooked-medium' ); ?>" alt="<?php the_title(); ?>" width="700" height="525" layout="responsive"></amp-img><?php
        endif; ?>

        <?php do_action( 'cooked_amp_after_image' ); ?>

        <p><?php echo do_shortcode( '[cooked-excerpt]' ); ?></p>

        <?php do_action( 'cooked_amp_after_excerpt' ); ?>

        <p><?php echo do_shortcode( '[cooked-ingredients]' ); ?></p>

        <?php do_action( 'cooked_amp_after_ingredients' ); ?>

        <p><?php echo do_shortcode( '[cooked-directions amp="true"]' ); ?></p>

        <?php do_action( 'cooked_amp_after_directions' ); ?>

    </body>
</html>
